# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

- Initial preparation for PyPI package distribution
- Comprehensive test suite
- Development environment setup

## [0.1.0] - 2025-07-12

- 🎨 Complete Nerd Fonts icon management system
- 🔍 Icon search with literal and regex support
- 📊 Detailed icon information retrieval
- 🎲 Random icon generation
- 📁 Category-based icon organization
- 🔗 Similar icon finding using Levenshtein distance
- 💾 Multiple export formats (simple, detailed, CSV)
- 🌐 Interactive HTML cheatsheet generation
- 🔄 Automatic updates from Nerd Fonts repository
- ⚙️ Configurable update modes (auto, notify, manual)
- 🎯 Unicode code point search
- ✅ Icon name validation
- 📈 Comprehensive statistics
- 🛠️ Command-line interface
- 🐍 Python library API
- 📦 No external dependencies (stdlib only)

### Features

- Support for 8000+ Nerd Fonts icons
- 20+ icon categories
- Duplicate filtering by Unicode character
- Beautiful HTML cheatsheet with search and copy functionality
- Automatic backup system for data updates
- Custom URL support for alternative icon sources
- Cross-platform compatibility (Windows, macOS, Linux)
- Python 3.7+ support

### Infrastructure

- MIT License
- Comprehensive documentation
- Example usage and demonstrations
- Error handling and user-friendly messages
- Configuration management
- Update checking and version management
